#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sed
Version		:	4.9
Release		:	17.2.0.rel%{?dist}
Summary		:	A GNU stream text editor
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.gnu.org/software/sed/

Source0		:	%{name}-%{version}.tar.xz


#-----------------------------------------------------------------------------
%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc BUGS NEWS THANKS README AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_defaultdocdir}/%{name}-%{version}/*
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%{__make} html

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
install -d -m755	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
install -m644		doc/sed.html	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
rm -fr 			%{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
